cjdroute(2020-06-27)

NAME
cjdroute - cjdns router daemon

DESCRIPTION
Cjdns provides an encrypted IPv6 network using public-key cryptography for address allocation and a distributed hash table for routing. cjdroute acts as one node in the cjdns network. In normal operation, cjdroute is invoked with no options, and reads its configuration from standard input before starting. See cjdroute.conf(5) for the format of the configuration.

--help
    Print a usage summary and exit.

--genconf
    Generate a new example configuration, including a new keypair, and write it to the standard output.

--version
    Print the protocol version which this node speaks.

--cleanconf
    Read a configuration on standard input, and print a clean version of that configuration on standard output.

--nobg
    The configuration is read and the router is started, but the noBackground configuration parameter is forced to true.

Additional options exist for development and testing. See the project documentation for details.

SEE ALSO
cjdroute.conf(5), https://github.com/cjdelisle/cjdns.